Debian Bug report logs - #621170
gnu-smalltalk: Getting rid of unneeded *.la / emptying dependency_libs

Package: gnu-smalltalk; Maintainer for gnu-smalltalk is Debian GNU Smalltalk maintainers <pkg-gnu-smalltalk-devel@lists.alioth.debian.org>; Source for gnu-smalltalk is src:gnu-smalltalk.

Reported by: codehelp@debian.org

Date: Wed, 6 Apr 2011 19:31:51 UTC

Severity: normal

Done: Thomas Girard <thomas.g.girard@free.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian GNU Smalltalk maintainers <pkg-gnu-smalltalk-devel@lists.alioth.debian.org>:
Bug#621170; Package gnu-smalltalk. (Wed, 06 Apr 2011 19:31:54 GMT) Full text and rfc822 format available.

Acknowledgement sent to codehelp@debian.org:
New Bug report received and forwarded. Copy sent to Debian GNU Smalltalk maintainers <pkg-gnu-smalltalk-devel@lists.alioth.debian.org>. (Wed, 06 Apr 2011 19:31:54 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: codehelp@debian.org
To: maintonly@bugs.debian.org
Subject: gnu-smalltalk: Getting rid of unneeded *.la / emptying dependency_libs
Date: Wed, 06 Apr 2011 20:28:04 +0100
Package: gnu-smalltalk
Severity: normal
User: codehelp@debian.org
Usertags: la-file-removal

To finish an old release goal from Squeeze, to comply with Policy
10.2 and to ease the introduction of MultiArch, I'm filing bugs
against packages which contain .la files which can be either removed
or stripped of the dependency_libs variable.

http://wiki.debian.org/ReleaseGoals/LAFileRemoval

http://lists.debian.org/debian-devel/2011/04/msg00055.html

http://lists.debian.org/debian-devel/2011/04/msg00199.html

Data has been obtained from the output of an automated script:

http://release.debian.org/~aba/la/current.txt

The output is best read in conjunction with the criteria from this
post to debian-devel:

http://lists.debian.org/debian-devel/2009/08/msg00808.html

To generate the list of packages, I've used:

grep -v depended-on current.txt |cut -d: -f1

The data is regularly updated but please accept my apologies if you
have made an upload which changes the situation since the data was
parsed.

gnu-smalltalk appears in this list as a source package because one or
more of the binary packages (usually -dev packages) contain .la
files.

In most cases, the .la file(s) can simply be removed as the process
behind this MBF has already identified that there are no further
dependencies using the .la file. In the unusual case that your
package uses libltdl directly, it is still necessary to empty the
dependency_libs part of all .la files remaining in the package. Once
gnu-smalltalk is fixed, the process will repeat and other packages
which you maintain may need to be fixed in turn. It is important that
packages are fixed in sequence to avoid FTBFS bugs.

If you believe that your package needs both the .la file and the
dependency_libs settings, please raise this on debian-devel for
clarification.
-- 

Neil Williams
=============
codehelp@debian.org
http://www.linux.codehelp.co.uk/





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNU Smalltalk maintainers <pkg-gnu-smalltalk-devel@lists.alioth.debian.org>:
Bug#621170; Package gnu-smalltalk. (Thu, 07 Apr 2011 07:15:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paolo Bonzini <bonzini@gnu.org>:
Extra info received and forwarded to list. Copy sent to Debian GNU Smalltalk maintainers <pkg-gnu-smalltalk-devel@lists.alioth.debian.org>. (Thu, 07 Apr 2011 07:15:12 GMT) Full text and rfc822 format available.

Message #10 received at 621170@bugs.debian.org (full text, mbox):

From: Paolo Bonzini <bonzini@gnu.org>
To: 621170@bugs.debian.org
Subject: Re: Bug#621170: gnu-smalltalk: Getting rid of unneeded *.la / emptying dependency_libs
Date: Thu, 07 Apr 2011 09:10:29 +0200
On 04/06/2011 09:28 PM, codehelp@debian.org wrote:
> gnu-smalltalk appears in this list as a source package because one or
> more of the binary packages (usually -dev packages) contain .la
> files.

I believe this is just the libc.la which is not a "normal" .la file and 
should not be removed.

Paolo




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNU Smalltalk maintainers <pkg-gnu-smalltalk-devel@lists.alioth.debian.org>:
Bug#621170; Package gnu-smalltalk. (Thu, 07 Apr 2011 08:25:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Girard <thomas.g.girard@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian GNU Smalltalk maintainers <pkg-gnu-smalltalk-devel@lists.alioth.debian.org>. (Thu, 07 Apr 2011 08:25:07 GMT) Full text and rfc822 format available.

Message #15 received at 621170@bugs.debian.org (full text, mbox):

From: Thomas Girard <thomas.g.girard@free.fr>
To: Paolo Bonzini <bonzini@gnu.org>, 621170@bugs.debian.org
Subject: Re: [Pkg-gnu-smalltalk-devel] Bug#621170: gnu-smalltalk: Getting rid of unneeded *.la / emptying dependency_libs
Date: Thu, 07 Apr 2011 12:17:18 +0200
Hello,

Le 07/04/2011 09:10, Paolo Bonzini a écrit :
> On 04/06/2011 09:28 PM, codehelp@debian.org wrote:
>> gnu-smalltalk appears in this list as a source package because one or
>> more of the binary packages (usually -dev packages) contain .la
>> files.
> 
> I believe this is just the libc.la which is not a "normal" .la file and
> should not be removed.

Indeed. This is the only .la file distributed in Debian GNU Smalltalk
packages. How again is it used Paolo?

Thanks,

Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNU Smalltalk maintainers <pkg-gnu-smalltalk-devel@lists.alioth.debian.org>:
Bug#621170; Package gnu-smalltalk. (Thu, 07 Apr 2011 08:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paolo Bonzini <bonzini@gnu.org>:
Extra info received and forwarded to list. Copy sent to Debian GNU Smalltalk maintainers <pkg-gnu-smalltalk-devel@lists.alioth.debian.org>. (Thu, 07 Apr 2011 08:27:14 GMT) Full text and rfc822 format available.

Message #20 received at 621170@bugs.debian.org (full text, mbox):

From: Paolo Bonzini <bonzini@gnu.org>
To: Thomas Girard <thomas.g.girard@free.fr>
Cc: 621170@bugs.debian.org
Subject: Re: [Pkg-gnu-smalltalk-devel] Bug#621170: gnu-smalltalk: Getting rid of unneeded *.la / emptying dependency_libs
Date: Thu, 07 Apr 2011 10:23:54 +0200
On 04/07/2011 12:17 PM, Thomas Girard wrote:
> Hello,
>
> Le 07/04/2011 09:10, Paolo Bonzini a écrit :
>> On 04/06/2011 09:28 PM, codehelp@debian.org wrote:
>>> gnu-smalltalk appears in this list as a source package because one or
>>> more of the binary packages (usually -dev packages) contain .la
>>> files.
>>
>> I believe this is just the libc.la which is not a "normal" .la file and
>> should not be removed.
>
> Indeed. This is the only .la file distributed in Debian GNU Smalltalk
> packages. How again is it used Paolo?

It provides a portable way to load libc and libm across different 
systems.  In GNU Smalltalk you can use

   DLD addLibrary: 'libncurses'

and (provided the -dev package is installed) it will automatically load 
the libncurses.so shared object.  Similarly it is desirable to allow

   DLD addLibrary: 'libc'

However, libc.so is not a symbolic link to libc.so.6 unlike all other 
.so files (and besides that, the library itself is not called 'libc' on 
all systems).  The simplest and most portable solution is to use a .la file.

Paolo

ps: yes, in the non-libc this introduces unwanted dependency on -dev 
packages.  This will be fixed in GNU Smalltalk 3.3




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNU Smalltalk maintainers <pkg-gnu-smalltalk-devel@lists.alioth.debian.org>:
Bug#621170; Package gnu-smalltalk. (Sat, 09 Apr 2011 09:30:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Girard <thomas.g.girard@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian GNU Smalltalk maintainers <pkg-gnu-smalltalk-devel@lists.alioth.debian.org>. (Sat, 09 Apr 2011 09:30:39 GMT) Full text and rfc822 format available.

Message #25 received at 621170@bugs.debian.org (full text, mbox):

From: Thomas Girard <thomas.g.girard@free.fr>
To: 621170@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Bug#621170: gnu-smalltalk: Getting rid of unneeded *.la / emptying dependency_libs
Date: Sat, 09 Apr 2011 11:25:34 +0200
[Message part 1 (text/plain, inline)]
Hello,

regarding bug #621170 filed against gnu-smalltak for *.la removal, here
is the current situation:

  gnu-smalltalk packages contains /usr/lib/gnu-smalltalk/libc.la

I'm attaching it here for the reference.

Please note that the .la file is *not* in a -dev package. It's not
intended to be used by any other package, but by the GNU Smalltalk VM
to be able to dynamically load the libc (using libtdl) whatever the libc
is (e.g. libc.so.6 or libc.so.0.1), and without requiring
libc6-dev package to be installed.

For more details on the way load works see:
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=621170#20

Hence I believe this bug can be closed without any action. Do you agree
with this analysis?

Thanks,
Regards,

Thomas
[libc.la (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNU Smalltalk maintainers <pkg-gnu-smalltalk-devel@lists.alioth.debian.org>:
Bug#621170; Package gnu-smalltalk. (Sat, 09 Apr 2011 10:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNU Smalltalk maintainers <pkg-gnu-smalltalk-devel@lists.alioth.debian.org>. (Sat, 09 Apr 2011 10:51:15 GMT) Full text and rfc822 format available.

Message #30 received at 621170@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Thomas Girard <thomas.g.girard@free.fr>
Cc: 621170@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#621170: gnu-smalltalk: Getting rid of unneeded *.la / emptying dependency_libs
Date: Sat, 9 Apr 2011 11:46:38 +0100
[Message part 1 (text/plain, inline)]
On Sat, 09 Apr 2011 11:25:34 +0200
Thomas Girard <thomas.g.girard@free.fr> wrote:

> Hello,
> 
> regarding bug #621170 filed against gnu-smalltak for *.la removal, here
> is the current situation:
> 
>   gnu-smalltalk packages contains /usr/lib/gnu-smalltalk/libc.la
> 
> I'm attaching it here for the reference.

Thanks.
 
> Please note that the .la file is *not* in a -dev package. It's not
> intended to be used by any other package, but by the GNU Smalltalk VM
> to be able to dynamically load the libc (using libtdl) whatever the libc
> is (e.g. libc.so.6 or libc.so.0.1), and without requiring
> libc6-dev package to be installed.
> 
> For more details on the way load works see:
>   http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=621170#20
> 
> Hence I believe this bug can be closed without any action. Do you agree
> with this analysis?

Useful to document the rationale but as dependency_libs is
currently empty and you have a reason to use the .la, it should be fine
to close 621170.

Just hold for a bit, in case there are any further comments from others
on -devel.

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Reply sent to Thomas Girard <thomas.g.girard@free.fr>:
You have taken responsibility. (Sun, 17 Apr 2011 08:30:04 GMT) Full text and rfc822 format available.

Notification sent to codehelp@debian.org:
Bug acknowledged by developer. (Sun, 17 Apr 2011 08:30:04 GMT) Full text and rfc822 format available.

Message #35 received at 621170-done@bugs.debian.org (full text, mbox):

From: Thomas Girard <thomas.g.girard@free.fr>
To: 621170-done@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#621170: gnu-smalltalk: Getting rid of unneeded *.la / emptying dependency_libs
Date: Sun, 17 Apr 2011 10:27:03 +0200
Hello,

Le 09/04/2011 12:46, Neil Williams a écrit :
> Useful to document the rationale but as dependency_libs is
> currently empty and you have a reason to use the .la, it should be fine
> to close 621170.
> 
> Just hold for a bit, in case there are any further comments from others
> on -devel.

It's been a while now, no further comment. I'm closing this bug.

Regards,

Thomas




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 May 2011 07:32:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:34:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.